LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Home Forums Tutorials Articles Register
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices


Reply
  Search this Thread
Old 12-09-2016, 04:08 PM   #16
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 15.0
Posts: 700

Original Poster
Rep: Reputation: Disabled

Quote:
Originally Posted by aaazen View Post
Thanks for the link to Adobe Labs. Here is the specific link just for the beta flashplayers:

http://labs.adobe.com/downloads/flashplayer.html

I modified Robby Workman's flashplayer-plugin.SlackBuild script from slackbuild.org:

https://slackbuilds.org/repository/1...player-plugin/

It is embedded here and is an attachment to this posting. Modify the attachment to remove the .txt suffix.

Code:
#!/bin/sh

# Copyright 2010-2015  Robby Workman, Tuscaloosa, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# 20160409 get version embedded inside the plugin
# 20161117 use npapi version of the plugin (no choice)

PRGNAM=flashplayer-plugin
BUILD=${BUILD:-1}

TAG=${TAG:-_SBo}

case "$( uname -m )" in
  i?86) ARCH=i386 ;;
  arm*) ARCH=arm ;;
     *) ARCH=$( uname -m ) ;;
esac

if [ "$ARCH" = "x86_64" ]; then
  LIBDIRSUFFIX="64"
elif [ "$ARCH" = "i386" ]; then
  LIBDIRSUFFIX=""
else
  printf "\n\n$ARCH is unsupported...\n"
  exit 1
fi

SOURCE="flash_player_npapi_linux.${ARCH}.tar.gz"

VERSION=$(tar -O -zxf $SOURCE libflashplayer.so \
         | strings -a - | grep FlashPlayer_ \
         | sed -e s/^FlashPlayer_// -e s/_FlashPlayer$// -e s/_/\./g)

VERS_MAJ=$(printf $VERSION | cut -d. -f1)
case $VERS_MAJ in
    *[0-9]*) ;;
    *)       printf "\n\nMajor VERSION invalid: ${VERS_MAJ} VERSION: ${VERSION}\n"
             exit 1
             ;;
esac

CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}

set -e

rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
tar -C $PKG -xf $CWD/$SOURCE

if !  grep -wq "^Version ${VERSION}$" $PKG/readme.txt  2>/dev/null ; then
  printf "\n\tThis script could not find Version $VERSION of the plugin,\n"
  printf "\tinside the readme.txt ...\n\n"
  printf "Fix the script or get a different source file...\n\n"
  exit 1
fi

mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins
mv $PKG/libflashplayer.so $PKG/usr/lib${LIBDIRSUFFIX}/mozilla/plugins

if [ "$ARCH" = "x86_64" ]; then
  rm -rf $PKG/usr/lib
fi

mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
mv $PKG/*pdf $PKG/*.txt $PKG/LGPL/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
rm -rf $PKG/LGPL

mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh

cd $PKG
chown -R root:root $PKG
chmod -R g-w $PKG
find $PKG -type f -name "*.so" -exec chmod 0755 {} \;

/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
So far it works fine with my AMD 64-bit (x86_64) system running Firefox.

There is a 32-bit x86 version of the beta software. I have not tested it yet, but the script might work.

-----
Edit 2016-11-17 22:18 UTC: The script works fine on i386 (x86) machines too.
I tried your solution, and when I tried to compile it, an error message came back that said "No such file or directory" .
 
Old 12-09-2016, 04:28 PM   #17
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,792

Rep: Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656
Quote:
Originally Posted by TheNutCase View Post
I tried your solution, and when I tried to compile it, an error message came back that said "No such file or directory" .
Did you download the flash file first? The SlackBuild doesn't do that for you.
 
Old 12-10-2016, 12:33 AM   #18
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 15.0
Posts: 700

Original Poster
Rep: Reputation: Disabled
Yes, and I THINK that I put it in the correct sub-directory as well.
 
Old 12-10-2016, 07:25 AM   #19
bassmadrigal
LQ Guru
 
Registered: Nov 2003
Location: West Jordan, UT, USA
Distribution: Slackware
Posts: 8,792

Rep: Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656Reputation: 6656
Then we need the actual error message and preferably a listing of the contents of that directory.
 
Old 12-10-2016, 01:10 PM   #20
TheNutCase
Member
 
Registered: May 2016
Location: Columbia, South Carolina14
Distribution: Slackware 15.0
Posts: 700

Original Poster
Rep: Reputation: Disabled
Odd, but for some reason it worked correctly this time, but this time I tried it in terminl mode (as "root"), whereas I had previously tried it in text mode (as "root"), but it DID work this time.
 
  


Reply



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Linux Flash Player ??? karanjeet Linux - General 16 08-09-2008 08:46 AM
Flash Player 8 for Linux?? belliott4488 Linux - Software 2 11-27-2006 04:49 PM
flash player on linux sharadbirmiwal Linux - Software 3 06-23-2005 09:57 AM
Flash Player 6 for Linux tommytomato Linux - Newbie 13 06-12-2004 09:18 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware

All times are GMT -5. The time now is 06:16 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration